Name:           gnome-sound-recorder
Version:        3.24.0.1
Release:        1%{?dist}
Summary:        Make simple recordings from your desktop

License:        GPLv2+
URL:            https://wiki.gnome.org/Design/Apps/SoundRecorder
Source0:        https://download.gnome.org/sources/%{name}/3.24/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  desktop-file-utils
BuildRequires:  gstreamer1-plugins-base
BuildRequires:  gstreamer1-plugins-good
BuildRequires:  intltool
BuildRequires:  /usr/bin/gjs
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
# Version requirement is for the first release with package.js.
Requires:       gjs >= 1.41.4
Requires:       gstreamer1
Requires:       gstreamer1-plugins-base
Requires:       gstreamer1-plugins-good

%description
Make simple recordings from your desktop.

%prep
%setup -q


%build
%configure
make V=1 %{?_smp_mflags}


%install
%make_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/org.gnome.SoundRecorder.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.SoundRecorder.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    touch --no-create %{_datadir}/icons/HighContrast &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS README NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/appdata/org.gnome.SoundRecorder.appdata.xml
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/symbolic/apps/%{name}-symbolic.svg


%changelog
* Wed Mar 22 2017 Kalev Lember <klember@redhat.com> - 3.24.0.1-1
- Update to 3.24.0.1

* Tue Mar 21 2017 David King <amigadave@amigadave.com> - 3.24.0-1
- Update to 3.24.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.21.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 13 2016 Kalev Lember <klember@redhat.com> - 3.21.92-1
- Update to 3.21.92
- Don't set group tags

* Mon May 09 2016 Kalev Lember <klember@redhat.com> - 3.20.2-1
- Update to 3.20.2

* Thu Apr 28 2016 David King <amigadave@amigadave.com> - 3.19.92-1
- Update to 3.19.92 (#1331379)

* Sun Feb 28 2016 David King <amigadave@amigadave.com> - 3.19.91-1
- Update to 3.19.91 (#1312642)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 David King <amigadave@amigadave.com> - 3.19.4-1
- Update to 3.19.4

* Wed Nov 11 2015 David King <amigadave@amigadave.com> - 3.18.2-1
- Update to 3.18.2 (#1279839)

* Fri Oct 30 2015 David King <amigadave@amigadave.com> - 3.18.1-2
- Add upstream patch to fix waveforms

* Tue Oct 13 2015 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Mon Aug 31 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
- Update to 3.17.91
- Use make_install macro

* Mon Aug 17 2015 David King <amigadave@amigadave.com> - 3.17.90-1
- Update to 3.17.90

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 25 2015 David King <amigadave@amigadave.com> - 3.17.2-1
- Update to 3.17.2

* Thu Apr 30 2015 David King <amigadave@amigadave.com> - 3.17.1-1
- Update to 3.17.1

* Tue Mar 24 2015 David King <amigadave@amigadave.com> - 3.16.0-1
- Update to 3.16.0

* Sat Mar 14 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
- Update to 3.15.92

* Tue Mar 03 2015 David King <amigadave@amigadave.com> - 3.15.91-1
- Update to 3.15.91

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-1
- Update to 3.15.90
- Use license macro for COPYING
- Validate AppData in check

* Tue Dec 16 2014 David King <amigadave@amigadave.com> - 3.15.3-1
- Update to 3.15.3

* Sun Nov 09 2014 David King <amigadave@amigadave.com> - 3.14.2-1
- Update to 3.14.2

* Mon Sep 15 2014 David King <amigadave@amigadave.com> - 3.14.0.1-1
- Update to 3.14.01

* Mon Sep 15 2014 David King <amigadave@amigadave.com> - 3.14-1
- Update to 3.14

* Tue Sep 02 2014 David King <amigadave@amigadave.com> - 3.13.91-1
- Update to 3.13.91

* Tue Jul 22 2014 David King <amigadave@amigadave.com> - 3.13.4-1
- Update to 3.13.4
- Switch to noarch

* Wed Jul 16 2014 David King <amigadave@amigadave.com> - 3.12.2-3
- Add Audio to desktop file categories

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 David King <amigadave@amigadave.com> - 3.12.2-1
- Update to 3.12.2

* Mon Apr 14 2014 David King <amigadave@amigadave.com> - 3.12.1-1
- Update to 3.12.1

* Wed Mar 26 2014 David King <amigadave@amigadave.com> - 3.12.0-1
- Initial import (#1077810)
